[package]
name = "sequoia-sq"
description = "Command-line frontends for Sequoia"
version = "0.25.0"
authors = [
    "Azul <azul@sequoia-pgp.org>",
    "Igor Matuszewski <igor@sequoia-pgp.org>",
    "Justus Winter <justus@sequoia-pgp.org>",
    "Kai Michaelis <kai@sequoia-pgp.org>",
    "Neal H. Walfield <neal@sequoia-pgp.org>",
    "Nora Widdecke <nora@sequoia-pgp.org>",
    "Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>",
]
build = "build.rs"
documentation = "https://docs.rs/sequoia-sq"
homepage = "https://sequoia-pgp.org/"
repository = "https://gitlab.com/sequoia-pgp/sequoia"
readme = "../README.md"
keywords = ["cryptography", "openpgp", "pgp", "encryption", "signing"]
categories = ["cryptography", "authentication", "command-line-utilities"]
license = "GPL-2.0-or-later"
edition = "2018"

[badges]
gitlab = { repository = "sequoia-pgp/sequoia" }
maintenance = { status = "actively-developed" }

[dependencies]
buffered-reader = { path = "../buffered-reader", version = "1.0.0", default-features = false }
sequoia-openpgp = { path = "../openpgp", version = "1.1", default-features = false }
sequoia-autocrypt = { path = "../autocrypt", version = "0.23", default-features = false, optional = true }
sequoia-net = { path = "../net", version = "0.23", default-features = false, optional = true }
anyhow = "1.0.18"
chrono = "0.4.10"
clap = { version = "2.33", features = ["wrap_help"] }
itertools = "0.9"
tempfile = "3.1"
term_size = "0.3"
tokio = { version = "1", optional = true }
rpassword = "5.0"

[build-dependencies]
clap = "2.33"
sequoia-openpgp = { path = "../openpgp", version = "1.0.0", default-features = false }
subplot-build = "0.1.0"

[dev-dependencies]
assert_cli = "0.6"
subplotlib = "0.1.0"
fehler = "1.0.0"

[[bin]]
name = "sq"
path = "src/sq-usage.rs"
bench = false

[features]
default = [
    "buffered-reader/compression",
    "sequoia-openpgp/default",
    "net",
    "autocrypt",
]
crypto-nettle = ["sequoia-openpgp/crypto-nettle"]
crypto-cng = ["sequoia-openpgp/crypto-cng"]
compression = ["buffered-reader/compression", "sequoia-openpgp/compression"]
compression-deflate = ["buffered-reader/compression-deflate", "sequoia-openpgp/compression-deflate"]
compression-bzip2 = ["buffered-reader/compression-bzip2", "sequoia-openpgp/compression-bzip2"]
net = ["sequoia-net", "tokio"]
autocrypt = ["sequoia-autocrypt"]
